Bug 220247 - Problems with cciss driver on DL380 G4
Problems with cciss driver on DL380 G4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 16:37 EST by Gary Lindstrom
Modified: 2014-10-27 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages log of problem (63.94 KB, application/octet-stream)
2006-12-19 19:36 EST, Gary Lindstrom
no flags Details

  None (edit)
Description Gary Lindstrom 2006-12-19 16:37:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061025 Firefox/1.5.0.8

Description of problem:
Both of the recent 2.6.19 kernels generate errors when booting and prevent system from booting.  Having a difficult time getting screen captures so the following is basically me just trying to write down the things I see but hopefully it helps:

HP CISS Driver (v 3.6.14)
ACPI: PCI Interrupt 0000:04:03.0[A] -> GSI 51 (level, low) -> IRQ 20
cciss0: <0x46> at PCI 0000:04:03.0 IRQ 20 using DAC
      blocks= 35553120 block_size= 512
      heads= 255, sectors= 32, cylinders= 4357

      blocks= 426784320 block_size= 512
      heads= 255, sectors= 32, cylinders= 52302

      blocks= 426784320 block_size= 512
      heads= 255, sectors= 32, cylinders= 52302

      blocks= 35553120 block_size= 512
      heads= 255, sectors= 32, cylinders= 4357

 cciss/c0d0: p1 p2
      blocks= 426784320 block_size= 512
      heads= 255, sectors= 32, cylinders= 52302

Buffer I/O error on device cciss/c0d1, logical block 0
cciss cmd f7e0000 timedout

...lots more of the Buffer IO errors and timedout - goes downhill from here...

The last 2.6.18-1.2849.fc6 kernel did not have this problem.



Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2881

How reproducible:
Always


Steps to Reproduce:
Boot system

Actual Results:
Errors as above

Expected Results:
System boot without errors

Additional info:
Eventually, it contines on trying to boot but gets lots of timeout errors, and seems to stop trying to get past loading rpc idmapd, although it might go past eventually....  To me the root of the problem in the scsi driver though
Comment 1 Gary Lindstrom 2006-12-19 19:36:11 EST
Created attachment 144070 [details]
messages log of problem

Got a log file with the problem from boot till I rebooted using the last 2.6.18
fc6 kernel...
Comment 2 Bug Zapper 2008-05-13 22:30:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 lexual 2009-02-25 05:09:01 EST
Can you please try with a recent kernel and let us know if the problem still persists.
Try Fedora 9, 10, or rawhide.
Comment 4 Bug Zapper 2009-06-09 18:23:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:19:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Gary Lindstrom 2014-10-27 13:28:07 EDT
I am still getting periodic emails on this even though it is closed.  Hopefully this message stop the requests.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.